### Enumeration

# Soup WebsocketState

since: 3.0

#### Declaration

    enum Soup.WebsocketState

#### Description [src]

The state of the WebSocket connection.

Available since: 3.0

#### Members

`SOUP_WEBSOCKET_STATE_OPEN`

  The connection is ready to send messages.

  - Value: `1`
  - Nickname: `open`
  - Available since: 3.0
`SOUP_WEBSOCKET_STATE_CLOSING`

  The connection is in the process of closing down; messages may be received, but not sent.

  - Value: `2`
  - Nickname: `closing`
  - Available since: 3.0
`SOUP_WEBSOCKET_STATE_CLOSED`

  The connection is completely closed down.

  - Value: `3`
  - Nickname: `closed`
  - Available since: 3.0